summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-13 11:12:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-13 11:12:03 +0700
commitda2bf3fc36247d4fa0671d01ec17cce927a1d82f (patch)
treed10ac7a2cafee77a7f67cce18023d5b0ec774a4a /games
parent65b4e97d41f5293ab3be2909b3c6bf17e80300fe (diff)
downloadslackbuilds-da2bf3fc36247d4fa0671d01ec17cce927a1d82f.tar.gz
slackbuilds-da2bf3fc36247d4fa0671d01ec17cce927a1d82f.tar.xz
games/openlierox: Added (Worms realtime/2D shooter).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/openlierox/CMakeOlxCommon_boost.patch11
-rw-r--r--games/openlierox/CMakeOlxCommon_boost_x64.patch11
-rw-r--r--games/openlierox/README3
-rw-r--r--games/openlierox/doinst.sh3
-rw-r--r--games/openlierox/openlierox.SlackBuild111
-rw-r--r--games/openlierox/openlierox.info10
-rw-r--r--games/openlierox/slack-desc19
7 files changed, 168 insertions, 0 deletions
diff --git a/games/openlierox/CMakeOlxCommon_boost.patch b/games/openlierox/CMakeOlxCommon_boost.patch
new file mode 100644
index 0000000000..70a770cb97
--- /dev/null
+++ b/games/openlierox/CMakeOlxCommon_boost.patch
@@ -0,0 +1,11 @@
+--- openlierox-0.59/CMakeOlxCommon.original.cmake 2014-04-06 13:10:05.423413368 +0300
++++ openlierox-0.59/CMakeOlxCommon.cmake 2014-04-07 04:15:14.367646916 +0300
+@@ -320,7 +320,7 @@
+ SET(LIBS ${LIBS} ${Boost_signals_LIBRARIES})
+ ELSE()
+ MESSAGE("boost-signals not found, trying just boost_signals-mt")
+- SET(LIBS ${LIBS} boost_signals-mt)
++ SET(LIBS ${LIBS} "/usr/lib/libboost_signals.so.1.54.0" "/usr/lib/libboost_system.so.1.54.0")
+ ENDIF()
+ ENDIF(BOOST_LINK_STATIC)
+
diff --git a/games/openlierox/CMakeOlxCommon_boost_x64.patch b/games/openlierox/CMakeOlxCommon_boost_x64.patch
new file mode 100644
index 0000000000..a643c27fd1
--- /dev/null
+++ b/games/openlierox/CMakeOlxCommon_boost_x64.patch
@@ -0,0 +1,11 @@
+--- openlierox-0.59/CMakeOlxCommon.original.cmake 2014-04-06 13:10:05.423413368 +0300
++++ openlierox-0.59/CMakeOlxCommon.cmake 2014-04-07 00:01:06.134276066 +0300
+@@ -320,7 +320,7 @@
+ SET(LIBS ${LIBS} ${Boost_signals_LIBRARIES})
+ ELSE()
+ MESSAGE("boost-signals not found, trying just boost_signals-mt")
+- SET(LIBS ${LIBS} boost_signals-mt)
++ SET(LIBS ${LIBS} "/usr/lib64/libboost_signals.so.1.54.0" "/usr/lib64/libboost_system.so.1.54.0")
+ ENDIF()
+ ENDIF(BOOST_LINK_STATIC)
+
diff --git a/games/openlierox/README b/games/openlierox/README
new file mode 100644
index 0000000000..4fbb06322e
--- /dev/null
+++ b/games/openlierox/README
@@ -0,0 +1,3 @@
+Based on Liero gameplay, OpenLierox is an extremely addictive realtime
+worms shoot-em-up backed by an active gamers community. Dozens of levels
+and mods are available to provide endless gaming pleasure.
diff --git a/games/openlierox/doinst.sh b/games/openlierox/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/openlierox/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/openlierox/openlierox.SlackBuild b/games/openlierox/openlierox.SlackBuild
new file mode 100644
index 0000000000..613788013f
--- /dev/null
+++ b/games/openlierox/openlierox.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for openlierox
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=openlierox
+VERSION=${VERSION:-0.59}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -ldl"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -ldl"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -ldl"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -ldl"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip || unzip $CWD/$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ "$ARCH" = "x86_64" ]; then
+ patch -p1 < $CWD/CMakeOlxCommon_boost_x64.patch
+else
+ patch -p1 < $CWD/CMakeOlxCommon_boost.patch
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin \
+ $PKG/usr/share/games/OpenLieroX
+cp -rf share/gamedir/* $PKG/usr/share/games/OpenLieroX
+install -D -m0755 build/bin/openlierox $PKG/usr/bin/openlierox
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 share/$PRGNAM-$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM-$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+install -D -m644 share/OpenLieroX.svg $PKG/usr/share/pixmaps/OpenLieroX.svg
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md VERSION COPYING.LIB $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/openlierox/openlierox.info b/games/openlierox/openlierox.info
new file mode 100644
index 0000000000..c0e4796da5
--- /dev/null
+++ b/games/openlierox/openlierox.info
@@ -0,0 +1,10 @@
+PRGNAM="openlierox"
+VERSION="0.59"
+HOMEPAGE="http://www.openlierox.net/"
+DOWNLOAD="https://github.com/albertz/openlierox/archive/0.59.zip"
+MD5SUM="70301537a4fc3e0846315c7052f6ea51"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="HawkNL freealut"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/openlierox/slack-desc b/games/openlierox/slack-desc
new file mode 100644
index 0000000000..2c2dcffa1d
--- /dev/null
+++ b/games/openlierox/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openlierox: openlierox (Worms realtime/2D shooter)
+openlierox:
+openlierox: Based on Liero gameplay, OpenLierox is an extremely addictive
+openlierox: realtime worms shoot-em-up backed by an active gamers community.
+openlierox: Dozens of levels and mods are available to provide endless gaming
+openlierox: pleasure.
+openlierox:
+openlierox: Homepage: http://www.openlierox.net/
+openlierox:
+openlierox:
+openlierox: